Support » Plugin: WP Store Locator » OVER_QUERY_LIMIT

  • My client only has 9 entries in the plugin, but is getting an OVER_QUERY_LIMIT error. The site and plugin are recently updated.

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Tijmen Smit

    (@tijmensmit)

    Did you setup a billing account for Google Maps? This is required as last summer.

    You can read more about that here.

    Thread Starter Nora McDougall

    (@nora-mcdougall)

    Thanks for the information! I will check with my client.

    Thread Starter Nora McDougall

    (@nora-mcdougall)

    At this time, the problem only seems to affect new installs. Today, I received an inquiry from another client who is also doing a new install. But, two old installs are unaffected.

    Plugin Author Tijmen Smit

    (@tijmensmit)

    I do remember Google mentioning it somewhere that it would indeed ( initially? ) only affect new installations, but this may change in the future.

    If they suddenly required it for all domains that used Google Maps, then tons of sites would break with Google Maps so it does make sense to only do it for new domains.

    I want to buy three of your paid add-ons the moment I get this thing working, but I am also getting:

    This page can't load Google Maps correctly.
    You have exceeded your request quota for this API
    api-key-and-billing-errors

    And while it’s Google to blame, I won’t be spending any money on this until the initial setup is working. I have a collection of six screen snapshots of every step of the configuration process, I can send you, such as google’s dashboards and account setup, etc. I’ve spent hours researching this trying to overcome this hurdle.

    Plugin Author Tijmen Smit

    (@tijmensmit)

    What’s the URL?

    That error looks like you either didn’t set up a billing account, or there’s a problem with the billing account itself.

    If you haven’t set up a billing account yet, then do that first. If you have one already, then you have will have to contact Google billing support.

    If you open the store locator page, view the source ( ctrl + u ) and search for ‘maps.google.com/maps’. Does that line also contain key= with the API key you included on the WPSL settings page?

    I’ve completely given up on Google Maps. After hours of exasperation, I created a new gmail account, used the Google utility to verify billing was enabled, went through domain verification, got new API key, and yet I was still I was over quota, having never used the thing. I have deleted your plugin. Will try Leaflet Maps.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘OVER_QUERY_LIMIT’ is closed to new replies.